diff --git a/sim/tests/endToEndTests/test_end_to_end.json b/sim/tests/endToEndTests/test_end_to_end.json
index 49973db7973a653a1a6aa3b7acbe2735b8f2518b..aef92ed368d8cd3d754b2be4e73fb587f774f15f 100644
--- a/sim/tests/endToEndTests/test_end_to_end.json
+++ b/sim/tests/endToEndTests/test_end_to_end.json
@@ -637,4 +637,4 @@
             "success_rate": 1
         }
     }
-}
+}
\ No newline at end of file
diff --git a/utils/ci/Jenkinsfile b/utils/ci/Jenkinsfile
index 0aaafcc609ffdd20900c3d074573e8b1b22c27f0..ff662551c05acf84855fadaa6785903e72d807f7 100644
--- a/utils/ci/Jenkinsfile
+++ b/utils/ci/Jenkinsfile
@@ -14,7 +14,7 @@ pipeline {
   parameters {
     booleanParam(name: 'BUILD_DOCKER_IMAGE', defaultValue: false, description: 'Force docker image (re-)build')
     string(name: 'OPTESTRUNNER_URL', defaultValue: 'https://ci.eclipse.org/openpass/job/opTestrunner/job/add-invocations-random-seed/1/artifact/repo/plugin/optestrunner/dist/pytest_optestrunner-1.1-py3-none-any.whl', description: 'URL to download opTestrunner binaries')
-    string(name: 'GECCO_URL', defaultValue: 'https://ci.eclipse.org/openpass/job/gecco/view/change-requests/job/MR-3/6/artifact/artifacts/gecco.tar.gz', description: 'URL to download gecco binaries')
+    string(name: 'GECCO_URL', defaultValue: 'https://ci.eclipse.org/openpass/job/gecco/view/change-requests/job/MR-4/2/artifact/artifacts/gecco.tar.gz', description: 'URL to download gecco binaries')
     string(name: 'GTGEN_CLI_URL', defaultValue: 'https://ci.eclipse.org/openpass/job/GT-Gen-Simulator-PreMerge-Gate/view/tags/job/v11.3.0/lastSuccessfulBuild/artifact/artifacts/gtgen-cli_1.1.0_amd64.deb', description: 'URL to download gtgen cli binaries')
     string(name: 'GTGEN_SIM_URL', defaultValue: 'https://ci.eclipse.org/openpass/job/GT-Gen-Simulator-PreMerge-Gate/view/tags/job/v11.3.0/lastSuccessfulBuild/artifact/artifacts/gtgen-simulator_11.3.0_amd64.deb', description: 'URL to download gtgen simulator binaries')
   }
@@ -126,8 +126,11 @@ spec:
           }
           post {
             always {
-              archiveArtifacts allowEmptyArchive: true, artifacts: 'artifacts/**', followSymlinks: false
-              junit allowEmptyResults: true, testResults: 'build/**/*Tests.xml,repo/sim/tests/endToEndTests/pyOpenPASS/result_*.xml'
+              script {
+                sh 'bash repo/utils/ci/scripts/90_pack_artifacts.sh'
+                archiveArtifacts allowEmptyArchive: true, artifacts: 'artifacts/**', followSymlinks: false
+                junit allowEmptyResults: true, testResults: 'build/**/*Tests.xml,repo/sim/tests/endToEndTests/pyOpenPASS/result_*.xml'
+              }
             }
           }
         }
diff --git a/utils/ci/scripts/55_endtoend.sh b/utils/ci/scripts/55_endtoend.sh
index 1e27238b351d2791f810090fe6f484168b6ecec1..68e9abba8525a024b6d2813d710d1d65d8758e0e 100755
--- a/utils/ci/scripts/55_endtoend.sh
+++ b/utils/ci/scripts/55_endtoend.sh
@@ -46,8 +46,11 @@ pluginsPath="$GECCO_DIR"/gecco/modules
 echo "============================== Running test_gtgen_e2e =============================="
 
 ${venv_python_executable} -m pytest -vvv --simulation="${GTGEN_CLI_PATH}/gtgen_cli" --mutual="${commonFolder}" --resources="${resourcePath}" --plugins-path="${pluginsPath}" --allowed-warnings="${allowedWarningsFiles}" --report-path="${GTGEN_CLI_PATH}"/testreport "${OP_REPO_DIR}"/sim/tests/endToEndTests/test_end_to_end.json
+exit_code=$?
 
 mkdir -p "$SCRIPT_DIR/../../../../dist" || exit 1
 mkdir -p "$SCRIPT_DIR"/../../../../dist/opSimulation || exit 1
 cp -r "${GTGEN_CLI_PATH}"/artifacts "$SCRIPT_DIR"/../../../../dist/opSimulation || exit 1
 cp -r "${GTGEN_CLI_PATH}"/testreport "$SCRIPT_DIR"/../../../../dist/opSimulation || exit 1
+
+exit $exit_code
\ No newline at end of file
diff --git a/utils/ci/scripts/90_pack_artifacts.sh b/utils/ci/scripts/90_pack_artifacts.sh
index 6bf805f2680d1a9708cee40d4fc2c5a0bbd60f06..82ab77ccb4a900f3d8e57cf7ca53af943a786b6b 100755
--- a/utils/ci/scripts/90_pack_artifacts.sh
+++ b/utils/ci/scripts/90_pack_artifacts.sh
@@ -21,15 +21,9 @@ cd "$MYDIR/../../../../dist" || exit 1
 SIM_NAME=openPASS_SIM
 E2E_NAME=openPASS_EndToEndTests
 
-if [[ "${OSTYPE}" = "msys" ]]; then
-  PLATFORM="windows"
-  ARCHIVE_TOOL="$MYDIR/util_zip.sh"
-  ARCHIVE_EXT="zip"
-else
-  PLATFORM="linux"
-  ARCHIVE_TOOL="$MYDIR/util_tar.sh"
-  ARCHIVE_EXT="tar.gz"
-fi
+PLATFORM="linux"
+ARCHIVE_TOOL="$MYDIR/util_tar.sh"
+ARCHIVE_EXT="tar.gz"
 
 mkdir -p ../artifacts/testreport || exit 1
 mv opSimulation/testreport ../artifacts/testreport/$PLATFORM